Skip to main content
GET
/
api
/
dashboard
/
customers
/
{customer_id}
/
sessions
List Customer Sessions
curl --request GET \
  --url https://api.example.com/api/dashboard/customers/{customer_id}/sessions
{
  "sessions": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "secret_prefix": "<string>",
      "user_agent": "<string>",
      "ip_address": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "last_used_at": "2023-11-07T05:31:56Z",
      "expires_at": "2023-11-07T05:31:56Z",
      "revoked_at": "2023-11-07T05:31:56Z",
      "is_active": true
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.stella-commerce.com/llms.txt

Use this file to discover all available pages before exploring further.

Headers

authorization
string | null
X-API-Key
string | null
X-Stella-Merchant-Id
string | null

Path Parameters

customer_id
string<uuid>
required

Response

Successful Response

sessions
CustomerSessionResponse · object[]
required